Todos
Create a todo
Authorization
bearerAuth AuthorizationBearer <token>
In: header
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/todos" \ -H "Content-Type: application/json" \ -d '{ "data": { "type": "todos", "attributes": {} } }'{ "data": { "type": "todos", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attributes": { "status": "string", "title": "string", "notes": "string", "target_name": "string", "due_on": "2019-08-24", "completed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }, "relationships": { "target": { "data": { "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }, "assigned_to": { "data": { "type": "people", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }, "created_by": { "data": { "type": "people", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }, "completed_by": { "data": { "type": "people", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } } }, "links": { "self": "/todos/7247ad7d-9275-454b-9e3a-0570e403739e" }, "meta": {} }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}